Bug 851495 - JBPM-3659 Variable resolution fails if two (or more) variables are in the same string
JBPM-3659 Variable resolution fails if two (or more) variables are in the sa...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 06:53 EDT by Maciej Swiderski
Modified: 2015-06-01 21:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A runtime exception was occurring when variables were present in a single string but were not separated by a space character. The variables were not resolving and preventing the system from functioning normally. Support has been added to resolve multiple variables supplied in a single string and the runtime exception no longer occurs.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3659 Major Resolved Variable resolution fails if two (or more) variables are in the same string 2014-04-14 07:51:45 EDT

  None (edit)
Description Maciej Swiderski 2012-08-24 06:53:23 EDT
Description of problem:
backport of https://issues.jboss.org/browse/JBPM-3659 

Version-Release number of selected component (if applicable):

  
Actual results:
if single sting contains two or more variables evaluation of the will fail, for instance #{var}=#{var2} will fail with error that cannot fing variable var}=#{var2

Expected results:
both variables should be evaluated properly

Additional info:
Comment 1 Maciej Swiderski 2012-08-24 07:11:01 EDT
backported to 5.2.x branch
Comment 2 Jiri Svitak 2012-09-14 08:02:04 EDT
Verified in BRMS 5.3.1 ER1.

Note You need to log in before you can comment on or make changes to this bug.